> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# IPD Admission Estimate

> 
When a cost estimate line item is created or updated against an IPD admission, a webhook event is sent to registered webhooks with the estimate details, including the service, rate, quantity and any discount applied.

**Field Definitions**

• **service**: string - The type of service. For IPD events, this will be `ipd`.

• **event**: string - The type of event. This will be `ipd_admissions_estimates.created` or `ipd_admissions_estimates.updated`.

• **event_time**: integer - Event occurrence timestamp (epoch seconds).

• **transaction_id**: string - Unique transaction identifier for the event.

• **timestamp**: integer - Timestamp of the event (epoch seconds).

• **business_id**: string - The eka ID of the business.

• **client_id**: string - Client ID associated with the event.

• **data**: object - Contains details about the estimate line item.

• **name** / **service_id**: The estimate item name and the service identifier it refers to.

• **rate** / **quantity** / **discount**: Pricing details for the estimate line item.

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_ipd_admissions_estimates_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_ipd_admissions_estimates_events:
    post:
      tags:
        - IPD Webhooks
      summary: IPD Admission Estimate
      description: >-

        When a cost estimate line item is created or updated against an IPD
        admission, a webhook event is sent to registered webhooks with the
        estimate details, including the service, rate, quantity and any discount
        applied.


        **Field Definitions**


        • **service**: string - The type of service. For IPD events, this will
        be `ipd`.


        • **event**: string - The type of event. This will be
        `ipd_admissions_estimates.created` or
        `ipd_admissions_estimates.updated`.


        • **event_time**: integer - Event occurrence timestamp (epoch seconds).


        • **transaction_id**: string - Unique transaction identifier for the
        event.


        • **timestamp**: integer - Timestamp of the event (epoch seconds).


        • **business_id**: string - The eka ID of the business.


        • **client_id**: string - Client ID associated with the event.


        • **data**: object - Contains details about the estimate line item.


        • **name** / **service_id**: The estimate item name and the service
        identifier it refers to.


        • **rate** / **quantity** / **discount**: Pricing details for the
        estimate line item.


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: IPDAdmissionEstimateWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - service
                - event
                - event_time
                - timestamp
                - business_id
                - data
              properties:
                service:
                  type: string
                  example: ipd
                  description: Type of service
                event:
                  type: string
                  enum:
                    - ipd_admissions_estimates.created
                    - ipd_admissions_estimates.updated
                  example: ipd_admissions_estimates.created
                  description: Type of event
                event_time:
                  type: integer
                  example: 1782812696
                  description: Event occurred timestamp
                transaction_id:
                  type: string
                  example: 8c2c435c-fa95-4556-9d6e-400ea2f2433d
                  description: Unique transaction identifier for the event
                timestamp:
                  type: integer
                  example: 1782812696
                  description: Timestamp of the event
                business_id:
                  type: string
                  example: '7175620245483777'
                  description: Business ID for the admission
                client_id:
                  type: string
                  example: EC_1777984421469
                  description: Client ID for the admission
                data:
                  type: object
                  required:
                    - id
                    - name
                    - service_id
                  properties:
                    added_by:
                      type: string
                      example: '175620245502842'
                      description: Identifier of the actor who added the estimate
                    created_at:
                      type: string
                      example: '2026-06-30 09:44:49.434000+00:00'
                      description: Creation timestamp
                    date:
                      type: string
                      example: '2026-06-30 09:44:48.238000+00:00'
                      description: Estimate date
                    discount:
                      type: object
                      description: Discount applied to the estimate line item
                      properties:
                        category:
                          type: string
                          example: percentage
                          description: Discount category
                        value:
                          type: number
                          example: 0
                          description: Discount value
                    id:
                      type: string
                      example: 8c2c435c-fa95-4556-9d6e-400ea2f2433d
                      description: Unique identifier for the estimate
                    name:
                      type: string
                      example: test
                      description: Name of the estimate line item
                    quantity:
                      type: integer
                      example: 1
                      description: Quantity for the estimate line item
                    rate:
                      type: number
                      example: 500
                      description: Rate for the estimate line item
                    remarks:
                      type: string
                      example: ''
                      description: Additional remarks
                    service_id:
                      type: string
                      example: 2961-500-7175620245483777-68ad85d786ddd9001d409348
                      description: Identifier of the service the estimate refers to
                    updated_at:
                      type: string
                      example: '2026-06-30 09:44:49.434000+00:00'
                      description: Last update timestamp
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````